Permalink
Browse files

Changes needed to compile with GHC 7.0.4.

Unfortunately they are not compatible with 7.4 and later.
  • Loading branch information...
1 parent 85d3a72 commit 3d0aa5bef7a0ef39e7611d4e12229224f4cead75 @Mikolaj Mikolaj committed Jan 20, 2012
Showing with 9 additions and 9 deletions.
  1. +9 −9 LambdaHack.cabal
View
@@ -3,7 +3,7 @@ name: LambdaHack
version: 0.2.0
license: BSD3
license-file: LICENSE
-tested-with: GHC == 7.2, GHC == 7.4
+tested-with: GHC == 7.0
data-files: LICENSE, CREDITS, PLAYING.md, README.md,
config.default, config.bot, scores
author: Andres Loeh, Mikolaj Konarski
@@ -98,16 +98,16 @@ library
other-modules: Paths_LambdaHack
build-depends: ConfigFile >= 1.1.1 && < 2,
array >= 0.3.0.3 && < 1, base >= 4 && < 5,
- binary >= 0.5.0.2 && < 1, bytestring >= 0.9.2 && < 1,
+ binary >= 0.5.0.2 && < 1, bytestring >= 0.9.1 && < 1,
containers >= 0.4.1 && < 1, directory >= 1.1.0.1 && < 2,
filepath >= 1.2.0.1 && < 2, mtl >= 2.0.1 && < 3,
- old-time >= 1.0.0.7 && < 2, random >= 1.0.1 && < 2,
+ old-time >= 1.0.0.6 && < 2, random >= 1.0.1 && < 2,
zlib >= 0.5.3.1 && < 1
default-language: Haskell2010
default-extensions: MonoLocalBinds,
BangPatterns, RecordWildCards, NamedFieldPuns
other-extensions: MultiParamTypeClasses, RankNTypes, ScopedTypeVariables
- ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
+ ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
ghc-options: -fno-warn-auto-orphans -fno-warn-implicit-prelude -fno-warn-unused-do-bind
ghc-options: -fno-ignore-asserts -funbox-strict-fields
@@ -141,18 +141,18 @@ executable LambdaHack
other-modules: Paths_LambdaHack
build-depends: LambdaHack == 0.2.0, ConfigFile >= 1.1.1 && < 2,
array >= 0.3.0.3 && < 1, base >= 4 && < 5,
- binary >= 0.5.0.2 && < 1, bytestring >= 0.9.2 && < 1,
+ binary >= 0.5.0.2 && < 1, bytestring >= 0.9.1 && < 1,
containers >= 0.4.1 && < 1, directory >= 1.1.0.1 && < 2,
filepath >= 1.2.0.1 && < 2, mtl >= 2.0.1 && < 3,
- old-time >= 1.0.0.7 && < 2, random >= 1.0.1 && < 2,
- template-haskell >= 2.6 && < 3,
+ old-time >= 1.0.0.6 && < 2, random >= 1.0.1 && < 2,
+ template-haskell >= 2.5 && < 3,
zlib >= 0.5.3.1 && < 1
default-language: Haskell2010
default-extensions: MonoLocalBinds,
BangPatterns, RecordWildCards, NamedFieldPuns
other-extensions: CPP, QuasiQuotes,
MultiParamTypeClasses, RankNTypes, ScopedTypeVariables
- ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
+ ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
ghc-options: -fno-warn-auto-orphans -fno-warn-implicit-prelude -fno-warn-unused-do-bind
ghc-options: -fno-ignore-asserts -funbox-strict-fields
ghc-options: -threaded
@@ -165,6 +165,6 @@ executable DumbBot
default-extensions: MonoLocalBinds,
BangPatterns, RecordWildCards, NamedFieldPuns
other-extensions: MultiParamTypeClasses, RankNTypes, ScopedTypeVariables
- ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-uni-patterns -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
+ ghc-options: -Wall -fwarn-orphans -fwarn-tabs -fwarn-incomplete-record-updates -fwarn-monomorphism-restriction -fwarn-unrecognised-pragmas
ghc-options: -fno-warn-auto-orphans -fno-warn-implicit-prelude -fno-warn-unused-do-bind
ghc-options: -fno-ignore-asserts -funbox-strict-fields

0 comments on commit 3d0aa5b

Please sign in to comment.